From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ammeter/
Date: Sat, 24 Sep 2016 07:11:48 +0000 (UTC) [thread overview]
Message-ID: <1474701089.6d3a4bb0ebc1ce2e2391e54d4a88c9a11f4d23fa.graaff@gentoo> (raw)
commit: 6d3a4bb0ebc1ce2e2391e54d4a88c9a11f4d23fa
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 24 05:17:43 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Sep 24 07:11:29 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d3a4bb0
dev-ruby/ammeter: add 1.1.4
Package-Manager: portage-2.2.28
dev-ruby/ammeter/Manifest | 1 +
dev-ruby/ammeter/ammeter-1.1.4.ebuild | 66 +++++++++++++++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/dev-ruby/ammeter/Manifest b/dev-ruby/ammeter/Manifest
index f4f1c5c..16fd358 100644
--- a/dev-ruby/ammeter/Manifest
+++ b/dev-ruby/ammeter/Manifest
@@ -1 +1,2 @@
DIST ammeter-1.1.3.gem 18432 SHA256 7161be2080f78b5c41dbeb92ae1f0db450634493795c6b962e68d611ce03086a SHA512 57428515435dc50e6feaf64f647c64d28ea345360e8ef324d4b6c10902658bf30685902e862e4526be105291620aa191e134a80762abbc9625062c485fb45cf0 WHIRLPOOL dad6a009244daaa646ff333fae92f18fe5a09d24cd77ecea15aa87253a72a329f7676e0b578fa009b05ea3a3493897daa55e09e668147bfeecc67df6f5c2bc23
+DIST ammeter-1.1.4.gem 19968 SHA256 bc0184bf656533d807acf37267bec3c5b00ad6ad41e7927d0f062e59cfdeada2 SHA512 57d24c67be85fe34ded8feda045771974be7cdd828780a82ff0b2f6b52d0b35b48c2eb7e59dae70700fba676242918ef6463448090d7729d49db0f05f04b0131 WHIRLPOOL 1b306f4ad62fa1ee483272e5f84cd01e53c4c8f2921c815c0ca38a28e012f6128fae225063b99db08ff90d0664ac272042470871f586c8db2b316cba972fc007
diff --git a/dev-ruby/ammeter/ammeter-1.1.4.ebuild b/dev-ruby/ammeter/ammeter-1.1.4.ebuild
new file mode 100644
index 00000000..9611c04
--- /dev/null
+++ b/dev-ruby/ammeter/ammeter-1.1.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Write specs for your Rails 3+ generators"
+HOMEPAGE="https://github.com/alexrothenberg/ammeter"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+# Restrict tests since they now require the specific rspec version to be
+# provided in an environment variable.
+#RESTRICT="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/activesupport-3.0:*
+ >=dev-ruby/railties-3.0:*
+ >=dev-ruby/rspec-rails-2.2:*
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/rails-4.0
+ >=dev-ruby/uglifier-1.3
+ >=dev-ruby/rake-0.10
+ >=dev-ruby/coffee-rails-4.0
+ >=dev-ruby/sass-rails-4.0
+ >=dev-ruby/jquery-rails-3.0
+ dev-util/cucumber
+ dev-util/aruba
+ dev-ruby/sqlite3
+ dev-ruby/bundler
+ )"
+
+all_ruby_prepare() {
+ # fix the gemspec; we remove the version dependencies from there, as
+ # it requires _older_ versions of its dependencies.. it doesn't
+ # really seem to be the case though. Also remove the references to
+ # git ls-files to avoid calling it.
+ sed -i \
+ -e '/git ls-files/d' \
+ -e '/\(cucumber\|aruba\)/s:,.*$::' \
+ ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # haml-rails is not packaged
+ sed -i -e '/haml-rails/d' ${RUBY_FAKEGEM_GEMSPEC} Gemfile || die
+ rm -f spec/ammeter/rspec/generator/matchers/have_correct_syntax_spec.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -S bundle exec ${RUBY} -S rspec-3 spec || die
+}
next reply other threads:[~2016-09-24 7:11 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-09-24 7:11 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 7:40 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ammeter/ Hans de Graaff
2024-06-21 11:21 Hans de Graaff
2024-02-25 10:24 Hans de Graaff
2023-12-17 9:36 Hans de Graaff
2023-08-31 5:13 Hans de Graaff
2023-07-12 18:53 Hans de Graaff
2023-04-08 7:04 Hans de Graaff
2023-04-07 18:11 Sam James
2022-05-15 7:50 Hans de Graaff
2021-07-07 6:53 Hans de Graaff
2021-07-06 7:49 Hans de Graaff
2021-02-25 5:28 Hans de Graaff
2019-05-06 17:58 Hans de Graaff
2018-08-05 7:05 Hans de Graaff
2018-01-25 6:34 Hans de Graaff
2017-12-09 7:55 Hans de Graaff
2017-04-17 9:26 Hans de Graaff
2016-12-25 23:21 Manuel Rüger
2016-07-03 5:49 Hans de Graaff
2016-03-17 0:21 Manuel Rüger
2016-03-17 0:21 Manuel Rüger
2015-10-09 6:08 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1474701089.6d3a4bb0ebc1ce2e2391e54d4a88c9a11f4d23fa.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox